package com.rjconsultores.ventaboletos.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.ConexionDAO;
import com.rjconsultores.ventaboletos.service.ConexionService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("conexionService")
public class ConexionServiceImpl implements ConexionService {

	@Autowired
	private ConexionDAO conexionDAO;

	@Override
	@Transactional
	public void gerarConexiones() {
		conexionDAO.generarConexiones(UsuarioLogado.getUsuarioLogado().getUsuarioId());
	}

}
