/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.entidad;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToMany;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author gleimar
 */
@Entity
@Table(name = "CONEXION_CTRL")
public class ConexionCtrl implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Column(name = "CONEXIONCTRL_ID")
    private Long conexionctrlId;
    @Column(name = "FECMODIF")
    @Temporal(TemporalType.TIMESTAMP)
    private Date fecmodif;
    @Column(name = "ACTIVO")
    private Short activo;
    @Column(name = "USUARIO_ID")
    private Integer usuarioId;
    @JoinColumn(name = "ORIGEN_ID", referencedColumnName = "PARADA_ID")
    @ManyToOne
    private Parada origenId;
    @JoinColumn(name = "DESTINO_ID", referencedColumnName = "PARADA_ID")
    @ManyToOne
    private Parada destinoId;
    @OneToMany(mappedBy = "conexionctrlId")
    private List<Conexion> conexionList;
    @OneToMany(mappedBy = "conexionctrlId")
    private List<ConexionTemp> conexionTempList;

    public ConexionCtrl() {
    }

    public ConexionCtrl(Long conexionctrlId) {
        this.conexionctrlId = conexionctrlId;
    }

    public Long getConexionctrlId() {
        return conexionctrlId;
    }

    public void setConexionctrlId(Long conexionctrlId) {
        this.conexionctrlId = conexionctrlId;
    }

    public Date getFecmodif() {
        return fecmodif;
    }

    public void setFecmodif(Date fecmodif) {
        this.fecmodif = fecmodif;
    }

    public Short getActivo() {
        return activo;
    }

    public void setActivo(Short activo) {
        this.activo = activo;
    }

    public Integer getUsuarioId() {
        return usuarioId;
    }

    public void setUsuarioId(Integer usuarioId) {
        this.usuarioId = usuarioId;
    }

    public Parada getOrigenId() {
        return origenId;
    }

    public void setOrigenId(Parada origenId) {
        this.origenId = origenId;
    }

    public Parada getDestinoId() {
        return destinoId;
    }

    public void setDestinoId(Parada destinoId) {
        this.destinoId = destinoId;
    }

    @XmlTransient
    public List<Conexion> getConexionList() {
        return conexionList;
    }

    public void setConexionList(List<Conexion> conexionList) {
        this.conexionList = conexionList;
    }

    @XmlTransient
    public List<ConexionTemp> getConexionTempList() {
        return conexionTempList;
    }

    public void setConexionTempList(List<ConexionTemp> conexionTempList) {
        this.conexionTempList = conexionTempList;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (conexionctrlId != null ? conexionctrlId.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof ConexionCtrl)) {
            return false;
        }
        ConexionCtrl other = (ConexionCtrl) object;
        if ((this.conexionctrlId == null && other.conexionctrlId != null) || (this.conexionctrlId != null && !this.conexionctrlId.equals(other.conexionctrlId))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.rjconsultores.entidad.ConexionCtrl[ conexionctrlId=" + conexionctrlId + " ]";
    }
    
}
